# $Revision: 1.21 $, $Date: 2011/06/26 17:22:28 $
Summary:	Utilities for SWF files manipulation
Summary(pl.UTF-8):	Narzędzia do manipulacji na plikach SWF
Name:		swftools
Version:	0.9.1
Release:	2
License:	GPL
Group:		Applications/Graphics
Source0:	http://www.swftools.org/%{name}-%{version}.tar.gz
# Source0-md5:	72dc4a7bf5cdf98c28f9cf9b1d8f5d7a
Patch0:		%{name}-swfstrings-print_unknown_chars.patch
Patch1:		%{name}-missing-m4.patch
URL:		http://www.swftools.org/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	fftw3-devel
BuildRequires:	fontconfig-devel
BuildRequires:	freetype-devel
BuildRequires:	giflib-devel
BuildRequires:	lame-libs-devel
BuildRequires:	libjpeg-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtool
BuildRequires:	zlib-devel
BuildRequires:	zziplib-devel
Requires:	fonts-Type1-urw
Requires:	t1lib >= 5.0.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Utilities for SWF files manipulation.

%description -l pl.UTF-8
Narzędzia do manipulacji na plikach SWF.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%configure \
	ac_cv_header_pdflib_h=no \
	AVIFILE_CONFIG=x

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	bindir=$RPM_BUILD_ROOT%{_bindir} \
	libdir=$RPM_BUILD_ROOT%{_libdir} \
	mandir=$RPM_BUILD_ROOT%{_mandir} \
	datadir=$RPM_BUILD_ROOT%{_datadir}

# fix broken .swf symlinks
rm -f $RPM_BUILD_ROOT%{_datadir}/swftools/swfs/default_*
ln -sf tessel_loader.swf $RPM_BUILD_ROOT%{_datadir}/swftools/swfs/default_loader.swf
ln -sf simple_viewer.swf $RPM_BUILD_ROOT%{_datadir}/swftools/swfs/default_viewer.swf

# no -devel package, shut up check-files
rm -f $RPM_BUILD_ROOT%{_libdir}/lib*.{la,so}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog
%attr(755,root,root) %{_bindir}/as3compile
%attr(755,root,root) %{_bindir}/font2swf
%attr(755,root,root) %{_bindir}/gif2swf
%attr(755,root,root) %{_bindir}/jpeg2swf
%attr(755,root,root) %{_bindir}/pdf2swf
%attr(755,root,root) %{_bindir}/png2swf
%attr(755,root,root) %{_bindir}/swfbbox
%attr(755,root,root) %{_bindir}/swfc
%attr(755,root,root) %{_bindir}/swfcombine
%attr(755,root,root) %{_bindir}/swfdump
%attr(755,root,root) %{_bindir}/swfextract
%attr(755,root,root) %{_bindir}/swfrender
%attr(755,root,root) %{_bindir}/swfstrings
%attr(755,root,root) %{_bindir}/wav2swf
%{_mandir}/man1/as3compile.1*
%{_mandir}/man1/font2swf.1*
%{_mandir}/man1/gif2swf.1*
%{_mandir}/man1/jpeg2swf.1*
%{_mandir}/man1/pdf2swf.1*
%{_mandir}/man1/png2swf.1*
%{_mandir}/man1/swfbbox.1*
%{_mandir}/man1/swfc.1*
%{_mandir}/man1/swfcombine.1*
%{_mandir}/man1/swfdump.1*
%{_mandir}/man1/swfextract.1*
%{_mandir}/man1/swfrender.1*
%{_mandir}/man1/swfstrings.1*
%{_mandir}/man1/wav2swf.1*
%{_datadir}/%{name}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: swftools.spec,v $
Revision 1.21  2011/06/26 17:22:28  arekm
- rel 2; force disable avifile and pdflib (looks like other version is needed)

Revision 1.20  2011/06/26 16:55:57  arekm
- more deps

Revision 1.19  2011/06/26 16:51:38  arekm
- better comment

Revision 1.18  2011/06/26 16:51:07  arekm
- up to 0.9.1 and drop avifile dep (avifile is gone)

Revision 1.17  2010/01/28 19:24:00  arekm
- release 4

Revision 1.16  2010/01/28 19:14:54  amateja
- release 3

Revision 1.15  2010/01/18 13:42:57  sparky
- added swfstrings-print_unknown_chars patch, rel 2

Revision 1.14  2009/12/02 14:21:13  zbyniu
- added gcc44.patch (from altlinux); removed python junk
- works for me; rel 1

Revision 1.13  2009/09/18 13:21:32  matkor
- Update 0.9.0. Try to build python module too.

Revision 1.12  2007/11/14 09:43:14  arekm
- s/ghostscript-fonts-std/fonts-Type1-urw/

Revision 1.11  2007-04-07 20:11:28  qboosh
- dropped shared patch

Revision 1.10  2007/04/07 20:04:44  qboosh
- no autoheader

Revision 1.9  2007/04/07 20:00:47  qboosh
- updated to 0.8.1
- added missing-m4 patch to allow ac/am regeneration

Revision 1.8  2007/02/12 22:09:16  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:34  baggins
- converted to UTF-8

Revision 1.6  2007/02/09 01:51:42  glen
- 0.8.0

Revision 1.5  2007/02/09 01:11:52  glen
- rel 2

Revision 1.4  2004/03/27 10:26:18  qboosh
- added shared,t1lib patches, separated -avi, release 1

Revision 1.3  2003/05/28 13:02:08  malekith
- massive attack: source-md5

Revision 1.2  2003/05/25 06:27:06  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.1  2003/01/28 23:38:44  qboosh
- new, NFY
